[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ati radeon 9600 problem

Hi all

the instructions on the ATI site about forcing the installation of
the .deb created using alien embody almost everything that I don't like
about RPM based systems and why I changed from RHL to Debian many years

The fglrx .deb file produced by alien creates a file conflict so dpkg
then refuses to upgrade libmesa etc later. Instructions in other posts
will fix things for you.

But for the benefit of others.... rather than following the ATI
instructions, do the following (from
http://www.nanonanonano.net/linux/debiannx7010 :)
# alien fglrx-4.3.0-3.7.6.i386.rpm
# dpkg-divert --package fglrx --divert /usr/X11R6/lib/libGL.so.1.2.libmesa-gl \
# dpkg -i fglrx_4.3.0-4.7_i386.deb

And remember that with fglrx under debian, you need to manually compile
the kernel module for fglrx (and it doesn't compile cleanly on debian
systems, so there is some editing of Makefiles to do *sigh*).

This all seems to be automated (completely untested by me but it sure
looks good!) in some deb packages from Flavio Stanchina:


good luck!


Stuart Prescott                 www.nanoNANOnano.net

Reply to: